View Issue Details

IDProjectCategoryView StatusLast Update
0025802LazarusLazReportpublic2014-03-06 08:21
ReporterLacaKAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target Version1.4Fixed in Version1.4 
Summary0025802: Report does not respect Orientation (poLandscape) when printed
DescriptionI have report, where in "Report options" dialog I have checked:
  Printer = "Default printer"
and
  "Select when report loaded"

(In "Page options" dialog I have Size="A4 210x297" and Orientation="Landscape")

When I print this report printed report is not oriented "landscape", but "portrait" (when I preview this report all is ok, report is displayed "landscape")

When in this same report I uncheck:
  "Select when report loaded" (in "Report options" dialog)
then report is printed correctly (orientation on paper is landscape)
TagsNo tags attached.
Fixed in Revision44348, 44360
LazTarget1.4
Widgetset
Attached Files

Activities

Jesus Reyes

2014-03-05 01:09

developer   ~0073466

in r44348 printing while previewing is fixed please test, direct printing will be fixed next.

Jesus Reyes

2014-03-05 21:19

developer   ~0073488

Please test

LacaK

2014-03-06 08:21

developer   ~0073495

Seems fixed. Thank you very much.

Issue History

Date Modified Username Field Change
2014-03-01 17:45 LacaK New Issue
2014-03-03 20:19 Jesus Reyes Assigned To => Jesus Reyes
2014-03-03 20:19 Jesus Reyes Status new => assigned
2014-03-05 01:09 Jesus Reyes LazTarget => 1.4
2014-03-05 01:09 Jesus Reyes Note Added: 0073466
2014-03-05 01:09 Jesus Reyes Status assigned => feedback
2014-03-05 01:09 Jesus Reyes Target Version => 1.4
2014-03-05 21:19 Jesus Reyes Fixed in Revision => 44348, 44360
2014-03-05 21:19 Jesus Reyes Note Added: 0073488
2014-03-05 21:19 Jesus Reyes Status feedback => resolved
2014-03-05 21:19 Jesus Reyes Fixed in Version => 1.4
2014-03-05 21:19 Jesus Reyes Resolution open => fixed
2014-03-06 08:21 LacaK Note Added: 0073495
2014-03-06 08:21 LacaK Status resolved => closed